Subject: RE: How to install customised version of cygwin
From: "Robert Collins" <[email-masked]>
To: "hugo" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 22 Apr 2002 17:21:31 +1000

> -----Original Message-----
> From: hugo [mailto:[email-masked]] 
> Sent: Monday, April 22, 2002 4:32 PM
> 
> Hi Robert
> 
> Thanks for your reply. However, I do not want to compile from 
> source - there is no need for that. All I would like to do is 
> include XFree86, Tk800.23.1 and Tk:Filedialog in my cygwin 
> distribution, plus a few perl utilities I wrote myself. 

Sure. You wanted to know what setup.exe does. The most accurate list is
the source code itself.
 
> At present this involves several steps: 
> 
> 1. Using setup.exe to install cygwin;
> 2. Downloading XFree86, unzipping extract.exe and running the 
> Xinstall.sh script; 

This can be done via setup.exe as well.

> 3. Downloading Tk800.23.1, then running 
> perl Makefile.PL, make, make test and make install; 

Make a package, you could even contribute it back to cygwin. See
http://www.cygwin.com/setup.html. Also see the cygwin-apps archives.

> 4. Copying over the perl utilities I have from my source 
> location to /usr/local/bin.
> 
> I would like to reduce the above steps to a single-step 
> installation.

Which can be done via a extra setup.ini and a local webserver.

... This 
> is really what I am after.

And you have been answered. The details are also in this lists archives.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/